View Issue Details

IDProjectCategoryView StatusLast Update
0013410MediaMonkey (current)[All Projects] Generalpublic2016-08-05 22:53
Reporterpeke 
PriorityurgentSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version5.0.0Fixed in Version4.1.14 
Summary0013410: Installing: Ability that Installer force close MM Service and started processes
DescriptionCurrently if service is set and some devices access it over DLNA MMW Installer can't install new version until service is forcefully closed.

In Addition to that and if MM is started there should be a way to force close all other instances and proceed with install.
Additional InformationGRP-342-55554
TagsNo tags attached.
Fixed in build1803

Relationships

duplicate of 0010873 closedLudek Re-install fails when MM is running as service 

Activities

Ludek

2016-07-11 19:06

developer   ~0045127

Last edited: 2016-07-11 20:17

View 3 revisions

Peke, this has been already fixed in 4.1 as 0010873

Installer calls "sc stop MediaMonkeyService" before installing so there shouldn't be any such issues.

I see that it was verified by you in 1640.
Could you re-test and specify steps to reproduce the issue?

BTW: The user from #GRP-342-55554 indicated that he didn't install the service.

peke

2016-07-12 22:32

developer   ~0045142

Last edited: 2016-07-29 11:30

View 3 revisions

Yes service is closed but in case of multiple MediaMonkey.exe and helper exe started Installer complains. Where along normal Service stop it should send CLOSE to running UI and if fail send KILL process command.

In MM5 it can happen that playback process thread is still playing while UI is crashed.

In MM4 and MM5 All MMW processes should be Killed on Install and Close All existing processes should be killed/Force closed

Ludek

2016-07-29 13:27

developer  

inno.png (47,118 bytes)
inno.png (47,118 bytes)

Ludek

2016-07-29 13:31

developer   ~0045261

Last edited: 2016-07-29 14:08

View 4 revisions

I guess that killing all processes should be the last option and should be done only after a prompt accepted by user.

Currently if any of the files to re-write are used by some apps/proesses then Inno setup (in case of MM5) shows the attached prompt (inno.png) which is fine and expected.
The problem is (based on my current tests) that it seem to fail to close all the apps/processes.

So we should improve this to force close them after the prompt is approved

Ludek

2016-07-29 13:38

developer  

mm4.png (37,838 bytes)
mm4.png (37,838 bytes)

Ludek

2016-07-29 13:40

developer   ~0045262

Last edited: 2016-07-29 15:07

View 2 revisions

Based on my further testing the situation is a bit different in MM4.
MM4 install shows the prompt on the attached MM4.png image and doesn't allow to proceed until all MM instances are _manually_ closed.

Ludek

2016-07-29 14:12

developer   ~0045263

Last edited: 2016-07-29 15:06

View 7 revisions

As a quick fix for 4.1.14 and MM5 (without a need to introduce new messages to translate -- those on the screenshots are Inno's defaults) I would suggest to:

a) automatically close MM once install is opened (at the same time we already auto-close the MM service -- 0010873 )
b) force close MM on first file copy operation, i.e. after user already agreed with the user license agreement and install proceeds (at that time MM should be already closed successfully in 99.9% of cases because of a)

Ludek

2016-07-29 15:03

developer   ~0045264

Fixed in 4.1.14.1803 and merged to 5.0.0.2028

peke

2016-08-05 22:53

developer   ~0045347

Verified 1803